On March 26, 2019 we launched new MODX Forums. Please join us at the new MODX Community Forums.
Subscribe: RSS
  • I noticed the updater is showing rc versions again.

    System update available!
    v2.4.2-pl v2.5.0-rc1
    (Release Notes)
    • Quote from: terrybarth at Feb 19, 2016, 04:59 PM
      I noticed the updater is showing rc versions again.

      System update available!
      v2.4.2-pl v2.5.0-rc1
      (Release Notes)

      That is the correct behaviour so far, as the version 2.5.0-rc1 is the latest released version on github.
      The problem before was that updater showed the rc-version even if a pl-version (with same number) existed. This is not the fact now, because there is currently no pl-version. If this is published, updater will indeed show the pl and not the rc version then (I hope smiley).

      At the moment there is the situation, that 2.4.3-pl also is available, which is not shown by updater, because 2.5.x is considered higher. Of course, a pl-patch would be preferrable to be shown than a rc-minor here!

      That's why the next version of updater will show all available update versions and also have options not to show/notify release candidates (rc) / only show stable versions.

      Will be released the next days... [ed. note: last edited this post 5 years, 3 months ago.]
      • Fantastic. Thanks for a great Extra!
        • Hi inreti. Great extra. smiley

          You might think about adding a "pl_only" property. It's easy to use strpos() to reject any version without '-pl' in the version name and that would keep the 2.5.0-rc version from showing for people who only want to upgrade to pl versions.
            Did I help you? Buy me a beer
            Get my Book: MODX:The Official Guide
            MODX info for everyone: http://bobsguides.com/modx.html
            My MODX Extras
            Bob's Guides is now hosted at A2 MODX Hosting
          • Proud to announce the next version 0.3.8-beta of Updater.

            New in this version:

            Updater now checks for multiple available update versions for the core and displays them in the widget. You can set 2 filters for release level and version level in system settings, e.g. to check only for stable patch updates to your current version. Default setting here is to show stable minor and patch updates.

            This fixes the behaviour of Updater 0.3.7 where core 2.5.0-rc1 was displayed when the stable (and therefore more preferrable) 2.4.3-pl also was available.

            Changing the check levels does not have immediate effect on the widget output, you will have to wait for the next cache update according to your settings. To have it display immediately, delete cache/updater-core folder and refresh your dashboard then.
            • After upgrade to 0.3.8 getting this error:
              [2016-03-06 09:46:01] (ERROR @ /etc/etc/core/components/updater/model/updater.class.php : 1025) Recoverable error: Argument 1 passed to Updater::constructSignature() must be of the type array, integer given, called in /etc/etc/core/components/updater/model/updater.class.php on line 360 and defined
              
                Studying MODX in the desert - http://sottwell.com
                Tips and Tricks from the MODX Forums and Slack Channels - http://modxcookbook.com
                Join the Slack Community - http://modx.org
              • Me Too.

                I'm seeing about 10 instances in the Modx error log over the last three days.
                • It's a known bug and has been fixed, the updated version should be released soon.
                    Studying MODX in the desert - http://sottwell.com
                    Tips and Tricks from the MODX Forums and Slack Channels - http://modxcookbook.com
                    Join the Slack Community - http://modx.org
                  • Just curious, was this ever released? I haven't seen it and my error logs are filling up. smiley
                    • Quote from: terrybarth at Mar 31, 2016, 02:48 PM
                      Just curious, was this ever released? I haven't seen it and my error logs are filling up. smiley

                      Hey Terry, work is in progress. Unfortunately I have some other projects to finish...